/* helper files */

/*     Colors      */

.top-cards {
  padding: 20px;
  background-color: white;
  height: 100%;
  border-radius: 10px;
}

.top-cards .card-title {
  font-size: 16px;
  font-weight: 500;
}

.card-data-box {
  display: flex;
  flex-direction: row;
  height: 100%;
  justify-content: space-between;
}

.vertical-bar {
  display: block;
  height: 100%;
  display: flex;
  flex-direction: column;
  flex: 0 0 30px;
  justify-content: center;
  padding: 0 10px;
}

.vertical-bar .bar {
  width: 5px;
}

.vertical-bar .bar-1 {
  background-color: #2256AD;
}

.vertical-bar .bar-2 {
  background-color: #09A23E;
}

.vertical-bar .bar-3 {
  background-color: #D50300;
}

.vertical-bar .bar-1 {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
}

.vertical-bar .bar-3 {
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
}

.total {
  align-self: center;
  flex: 1 1 40%;
  text-align: left;
}

.total .title {
  font-size: 14px;
  margin-bottom: 0;
}

.total span {
  font-size: 24px;
  font-weight: 700;
  line-height: 26px;
}

.detail {
  display: flex;
  flex-direction: column;
  flex: 1 1 calc(60% - 30px);
  justify-content: space-between;
}

.detail .total .title1 {
  color: #2256AD;
}

.detail .total .title2 {
  color: #09A23E;
}

.detail .total .title3 {
  color: #D50300;
}

.detail .total span {
  font-size: 20px;
  font-weight: 600;
}

.icon-box-wrapper {
  flex: 1 0 80px;
  text-align: center;
  position: relative;
  margin-left: 20px;
}

.icon-box {
  width: 40px;
  height: 40px;
  background-color: #134068;
  color: white;
  font-size: 14px;
  text-align: center;
  line-height: 40px;
  align-self: center;
  border-radius: 5px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.icon-box img {
  width: 14px;
  height: auto;
}

.current-box .card-title {
  font-size: 16px;
  font-weight: 500;
}

.current-box .icon-box1 {
  width: 36px;
  height: 36px;
  background-color: #134068;
  color: white;
  font-size: 14px;
  text-align: center;
  line-height: 36px;
  align-self: center;
  border-radius: 5px;
}

.detail-horz {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.detail-horz .total {
  text-align: right;
  margin-bottom: 8px;
}

.detail-horz .total span {
  font-size: 18px;
}

.current-wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.current-detail {
  display: flex;
  justify-content: space-between;
}

.current-box {
  padding: 20px;
  background-color: white;
  height: 100%;
  border-radius: 10px;
}

.current-box p {
  text-align: center;
}

.death-detail {
  background-color: white;
  text-align: center;
  border-radius: 10px;
}

.single-detail {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 20px;
  background-color: white;
  border-radius: 10px;
}

.single-detail .total {
  text-align: right;
  margin-bottom: 8px;
}

.single-detail .total span {
  font-size: 18px;
}

